# Overview

This tool is designed to dump raw data collected by NVIDIA Nsight Systems. It does no data processing other than conversion to the selected format. It’s available as nsys-exporter binary in Windows and Linux distributions of Nsight Systems.

Currently all events can be exported as JSON or text, while SQLite export supports only subset of collected data: NVTX, CUDA, OpenGL, OSRT.

## Required Software

NVIDIA nsys-exporter doesn’t require any third-party software to work, but it uses some resources from the parent Nsight Systems project.

## Usage

If invoked with -h, –help option the tool will print usage help:

    Usage: nsys-exporter INPUT-FILE [OUTPUT-FILE] [OPTIONS]

    Export events from .qdrep files into selected format.
    If output file name is omitted, then it's created in current directory
    with the name of input file and the extension replaced depending on output
    format. If '-' is specified as an output file name then stdout is used instead.

    qdrep export tool options:
      -h [ --help ]           Print help message.
      --input-file arg        Path to .qdrep file.
      --output-file arg       Path to results file. Default - name of input file
                              with modified extension.
      -s [ --export-sqlite ]  Export into sqlite3 database.
      -t [ --export-text ]    Print all events in text format.
      -j [ --export-json ]    Print all events line-by-line in JSON format.

Typically, you will only need to pass the path to Nsight Systems report file and desired output format: `./nsys-exporter path/to/some.qdrep -s`. This will export given report into SQLite database file located in current directory and named `some.sqlite`.

For text and JSON formats using stdout may be preferred, in that case invoke exporter as: `./nsys-exporter path/to/some.qdrep -j -- -`.